Space mouse wireless on Fedora 32

Questions and answers about 3Dconnexion devices on UNIX and Linux.

Moderator: Moderators

Post Reply
eddie7895
Posts: 1
Joined: Wed May 20, 2020 12:44 pm

Space mouse wireless on Fedora 32

Post by eddie7895 » Wed May 20, 2020 1:16 pm

Hi

I got my space mouse today and I had tried to get it running on fedora 32 but it doesn't work.

After hours of searching over internet to see how to install the driver I did install 3dxware and did everything written here:
https://wiki.archlinux.org/index.php/3D_Mouse

sudo ./install-3dxunix.sh

This installs 3DxWareUnix V1.7.0 on this machine. Continue? (y/n) [y]
y


Choose one of the following platforms:

1. HP-UX
2. Solaris
3. AIX 5
4. Linux
5. Exit

Please enter your choice (1-5)[4]:
4


Installing files for 3DxWare for Unix / linux......

Uninstalling a running driver. Please wait ...
Done.
cp: '3dxware-linux-v1-7-0.x86_64.tar.gz' and '/tmp/3dxware-linux-v1-7-0.x86_64.tar.gz' are the same file


Converting default configs V5.x to V5.3.
(User configs will be converted when used)
Please wait a moment...
Converting configs... found 27 configurations
Configuration file Configuration name Version Status
/etc/3DxWare/Maya2011.scg ("Maya 2011 ") 5.4 Ok.
/etc/3DxWare/UGSNX3_01.scg ("UGS NX 3 config 01 ") 5.4 Ok.
/etc/3DxWare/UGSNX4_02.scg ("UGS NX 4 config 02 ") 5.4 Ok.
/etc/3DxWare/UGSNX3_02.scg ("UGS NX 3 config 02 ") 5.4 Ok.
/etc/3DxWare/CADDS_R14.scg ("CADDS5 R14 + ") 5.4 Ok.
/etc/3DxWare/UGSNX2_01.scg ("UGS NX 2 config 01 ") 5.4 Ok.
/etc/3DxWare/ICEM_MED.scg ("ICEM MED ") 5.4 Ok.
/etc/3DxWare/CatiaV4_01.scg ("CATIA V4 ") 5.4 Ok.
/etc/3DxWare/CatiaV5_01.scg ("CATIA V5 config 01 ") 5.4 Ok.
/etc/3DxWare/UGSNX5_02.scg ("UGS NX 5 config 02 ") 5.4 Ok.
/etc/3DxWare/CatiaV5_02.scg ("CATIA V5 config 02 ") 5.4 Ok.
/etc/3DxWare/IDEAS_01.scg ("IDEAS ") 5.4 Ok.
/etc/3DxWare/Pr(...)ire_01.scg ("ProE Wildfire config 01 ") 5.4 Ok.
/etc/3DxWare/CADDS_R13.scg ("CADDS5 -R13 ") 5.4 Ok.
/etc/3DxWare/UGSNX4_01.scg ("UGS NX 4 config 01 ") 5.4 Ok.
/etc/3DxWare/Patran_01.scg ("Patran ") 5.4 Ok.
/etc/3DxWare/default_10.scg ("Driver Protocol 1.0 ") 5.4 Ok.
/etc/3DxWare/DMUNav.scg ("DMU Navigator ") 5.4 Ok.
/etc/3DxWare/4DNav.scg ("4D Navigator ") 5.4 Ok.
/etc/3DxWare/CatiaV5_03.scg ("CATIA V5 config 03 ") 5.4 Ok.
/etc/3DxWare/Op(...)alizer.scg ("Optegra Visualizer ") 5.4 Ok.
/etc/3DxWare/default.scg ("Any Application ") 5.4 Ok.
/etc/3DxWare/DVise.scg ("DVise ") 5.4 Ok.
/etc/3DxWare/Enovia_VPM.scg ("Enovia VPM ") 5.4 Ok.
/etc/3DxWare/UGSNX5_01.scg ("UGS NX 5 config 01 ") 5.4 Ok.
/etc/3DxWare/Pr(...)ire_02.scg ("ProE Wildfire config 02 ") 5.4 Ok.
/etc/3DxWare/UGSNX2_02.scg ("UGS NX 2 config 02 ") 5.4 Ok.

Done.

Do you want 3DxWareUnix being started with every login (from the /etc/inittab)? (y/n) [y]
n

Please start the driver manually. [/etc/3DxWare/daemon/3dxsrv -d <port>]



****************************************************************

For testing purposes you can find the demos
xcube and xvalues at /tmp

****************************************************************



HOWEVER
I GET THIS ERROR TO LUNCH THE DRIVER MANUALLY:
sudo /etc/3DxWare/daemon/3dxsrv -d usb

Error: Could not open USB port or no supported device found! Exiting!

sudo /etc/3DxWare/daemon/3dxsrv -d usb -debug7

uddev.c, 921: UdDevInit() 0x22722a0
3dxsrv.c,806: displayname = :0
auth.c :: authGetUser(), FOUND: user = root, id = :0, line = :0, pid = 33306, host = , type = 7
auth.c :: authGetUser(), FOUND: user home = "/root"
3dxsrv.c :: startupCommandLine(), authGetUser(), user=root
Error: Could not open USB port or no supported device found! Exiting!

sudo /etc/3DxWare/daemon/3dxsrv

Error: Could not open port /dev/spaceball or no supported device found! Exiting!

what can I do to solve this problem?

UtaSH
Moderator
Moderator
Posts: 3498
Joined: Mon Nov 27, 2006 10:34 am
Location: Munich, Germany
Contact:

Re: Space mouse wireless on Fedora 32

Post by UtaSH » Tue May 26, 2020 2:24 am

Hi eddie7895,

try the following:

Code: Select all

su -
/etc/3DxWare/daemon/3dxsrv -d usb
Which SpaceMouse model are you using? Just wondering why you have 3DxWare 1.7.0 and not the newer one 1.8.0.

Post Reply